# Changelog

All notable changes to ChatMCP CLI will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.2.0] - 2025-01-06

### Added
- Simplified README for better PyPI presentation
- Beta status indicator in package description

### Changed
- Renamed detailed README to OLD_README.md
- Updated package metadata for public release

## [0.1.0] - 2025-01-06

### Added
- Initial public release on PyPI
- MCP (Model Context Protocol) server integration for enhanced AI context
- Claude API integration with Anthropic's latest models
- Git integration for repository-aware conversations
- Voice mode support for hands-free coding
- Browser automation capabilities
- Multi-file editing with transaction support
- Intelligent code search and analysis
- Test-driven development workflow support
- Undo functionality for safe experimentation

### Infrastructure
- Python 3.10+ support
- Cross-platform compatibility (Windows, macOS, Linux)
- Setuptools-based packaging
- PyPI distribution setup

### Documentation
- Comprehensive usage documentation
- Installation instructions
- Configuration guides

## [Pre-release Development]

### Initial Development
- Forked from aider-chat project
- Adapted for platforma monorepo structure
- Integrated with Nx build system
- Added MCP server capabilities